package org.kde.koala;
import org.kde.qt.*;


/** {@link KCommandHistory} emits these signals */
public interface KCommandHistorySignals {
	void destroyed( QObject obj );

/** 
 Emitted everytime we reach the index where you
 saved the document for the last time. See {@link documentSaved}
     
*/
	void documentRestored();

/** 
 Emitted every time a command is executed
 (whether by addCommand, undo or redo).
 You can use this to update the GUI, for instance.
     
*/
	void commandExecuted();
}

